CVE-2009-0946

NameCVE-2009-0946
DescriptionMultiple integer overflows in FreeType 2.3.9 and earlier allow remote attackers to execute arbitrary code via vectors related to large values in certain inputs in (1) smooth/ftsmooth.c, (2) sfnt/ttcmap.c, and (3) cff/cffload.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1784-1
NVD severityhigh (attack range: remote)
Debian Bugs524925

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
freetype (PTS)wheezy2.4.9-1.1+deb7u3fixed
wheezy (security)2.4.9-1.1+deb7u7fixed
jessie (security), jessie2.5.2-3+deb8u2fixed
stretch2.6.3-3.2fixed
buster2.8-0.2fixed
sid2.8.1-0.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
freetypesource(unstable)2.3.9-4.1medium524925
freetypesourceetch2.2.1-5+etch4highDSA-1784-1
freetypesourcelenny2.3.7-2+lenny1highDSA-1784-1

Search for package or bug name: Reporting problems